NAME=xshowkey
VERSION=0.2

DIST_DIR=$(NAME)-$(VERSION)
DIST_FILES += Makefile
DIST_FILES += LICENSE
DIST_FILES += config.mk
DIST_TARBALL = $(DIST_DIR).tar.gz

LIBS  += -lX11

FLAGS += -pedantic
FLAGS += -Wall 
FLAGS += -Wextra 
FLAGS += -Werror 
FLAGS += -pipe
#FLAGS += -D_DEFAULT_SOURCE
FLAGS += -std=c99
FLAGS += -O2
FLAGS += -DNAME=\"$(NAME)\"
FLAGS += -DVERSION=\"$(VERSION)\"

DFLAGS += $(FLAGS)
DFLAGS += -g 


OBJ = $(patsubst %.c, %.o, $(wildcard *.c))
SOURCE = xshowkey.c
TARGET = $(NAME)
DTARGET=$(TARGET)_d

PREFIX=/usr/
BINDIR=$(PREFIX)/bin
